// Copyright 2019-2021 Varjo Technologies Oy. All rights reserved.

#ifndef VARJO_EXPORT_H
#define VARJO_EXPORT_H

#if defined __cplusplus
extern "C" {
#endif

#if _WIN32
#define EXPORT_TOKEN __declspec(dllexport)
#define IMPORT_TOKEN __declspec(dllimport)
#else
#define EXPORT_TOKEN
#define IMPORT_TOKEN
#endif

#ifndef VARJORUNTIME_STATIC
#ifdef VARJORUNTIME_EXPORTS
#define VARJORUNTIME_EXPORT EXPORT_TOKEN
#else
#define VARJORUNTIME_EXPORT IMPORT_TOKEN
#endif
#else
#define VARJORUNTIME_EXPORT
#endif

#ifndef VARJORUNTIME_NO_EXPORT
#define VARJORUNTIME_NO_EXPORT
#endif

#ifndef VARJORUNTIME_DEPRECATED
#define VARJORUNTIME_DEPRECATED __declspec(deprecated)
#endif

#define VARJO_API VARJORUNTIME_EXPORT
#define VARJO_DEPRECATED_API VARJORUNTIME_EXPORT VARJORUNTIME_DEPRECATED

#if defined __cplusplus
}
#endif

#endif  // VARJO_EXPORT_H
